Bug 904045 - [Windows] guest agent service doesn't start properly
[Windows] guest agent service doesn't start properly
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-guest-agent (Show other bugs)
3.2.0
Unspecified Windows
urgent Severity urgent
: ---
: 3.2.0
Assigned To: Vinzenz Feenstra [evilissimo]
Jiri Belka
virt
: Regression, TestBlocker
Depends On:
Blocks: 827706
  Show dependency treegraph
 
Reported: 2013-01-25 05:35 EST by Jiri Belka
Modified: 2013-06-11 04:31 EDT (History)
7 users (show)

See Also:
Fixed In Version: sf7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 04:27:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Belka 2013-01-25 05:35:14 EST
Description of problem:

guest agent service (RHEV-Agent) doesn't start properly.

From eventlog:

Event Type:	Error
Event Source:	OVirtGuestService
Event Category:	None
Event ID:	10
Date:		1/24/2013
Time:		10:28:05 PM
User:		N/A
Computer:	TESTXP
Description:
The description for Event ID ( 10 ) in Source ( OVirtGuestService ) cannot be found. The local computer may not have the necessary registry information or message DLL files to display messages from a remote computer. You may be able to use the /AUXSOURCE= flag to retrieve this description; see Help and Support for details. The following information is part of the event: Traceback (most recent call last):
  File "OVirtGuestService.pyc", line 36, in __init__
  File "logging\config.pyc", line 76, in fileConfig
  File "logging\config.pyc", line 112, in _create_formatters
  File "ConfigParser.pyc", line 532, in get
NoSectionError: No section: 'formatters'.

According to vfeenstr@ there is an issue with config file and loading USB redirector component.

Version-Release number of selected component (if applicable):
- sf4
- 4.9.1.0 of guestVdsAgentService.exe

How reproducible:
100%

Steps to Reproduce:
1. install guest agent from SF4 build (rhev-guest-tools-iso-3.2-1.noarch)
2. start RHEVM-Agent service
3. check eventlog
  
Actual results:
RHEV-Agent not running.

Expected results:
Working RHEV-Agent.

Additional info:
Comment 3 Jiri Belka 2013-03-11 04:42:56 EDT
OK, sf9 (tested on w2k3 32bit).
Comment 4 Itamar Heim 2013-06-11 04:27:47 EDT
3.2 has been released
Comment 5 Itamar Heim 2013-06-11 04:27:50 EDT
3.2 has been released
Comment 6 Itamar Heim 2013-06-11 04:31:12 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.